package com.xxl.job.executor.report.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.xxl.job.executor.report.entity.BytedancePlanHourlyReport;
import com.xxl.job.executor.report.mapper.BytedancePlanHourlyReportMapper;
import com.xxl.job.executor.report.service.IBytedancePlanHourlyReportService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.annotation.Primary;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @Description: 广告计划时报表信息
 * @Author: jeecg-boot
 * @Date: 2019-09-11
 * @Version: V1.0
 */
@Service
@Primary

public class BytedancePlanHourlyReportServiceImpl extends ServiceImpl<BytedancePlanHourlyReportMapper, BytedancePlanHourlyReport> implements IBytedancePlanHourlyReportService {
    @Autowired
    private BytedancePlanHourlyReportMapper reportMapper;

    @Override
    public void replaceBatch(List<BytedancePlanHourlyReport> hourlyReports) {
        reportMapper.replaceBatch(hourlyReports);
    }
}
